Package org.eclipse.viatra.transformation.runtime.emf.transformation.eventdriven

## Class RuleOrderBasedFixedPriorityResolver

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.resolver.ReconfigurableConflictResolver<FixedPriorityConflictSet>
  - - org.eclipse.viatra.transformation.evm.specific.resolver.FixedPriorityConflictResolver
    - - org.eclipse.viatra.transformation.runtime.emf.transformation.eventdriven.RuleOrderBasedFixedPriorityResolver

- All Implemented Interfaces:
    `ConflictResolver`

      public class RuleOrderBasedFixedPriorityResolver
      extends FixedPriorityConflictResolver

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.transformation.evm.specific.resolver.FixedPriorityConflictResolver

      `defaultPriority, priorities`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuleOrderBasedFixedPriorityResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setPriorities​(java.util.List<RuleSpecification<?>> ruleSpecGroup)` |
    `void` | `setPrioritiesFromScratch​(java.util.List<RuleSpecification<?>> ruleSpecGroup)` |

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.specific.resolver.FixedPriorityConflictResolver

      `createReconfigurableConflictSet, setPriority`

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.specific.resolver.ReconfigurableConflictResolver

      `createConflictSet, getConflictSets`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleOrderBasedFixedPriorityResolver

          public RuleOrderBasedFixedPriorityResolver()

  - ### Method Detail

    - #### setPrioritiesFromScratch

          public void setPrioritiesFromScratch​(java.util.List<RuleSpecification<?>> ruleSpecGroup)

    - #### setPriorities

          public void setPriorities​(java.util.List<RuleSpecification<?>> ruleSpecGroup)